/Users/bernard/b20/bsoft/tcltk/bshow_file.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_file.tcl - Procedures to manage file I/O.

SYNOPSIS

  Functions
setupFileMenu
Menu for opening and closing image files and quiting.
fileDialog operation
Selects a file for reading or writing using a standard dialog.
openNode tree node
Populates a file browser tree node.
setupFileBrowser w
Points the file browser to the current directory.
openFileFromTree wtree
Opens a file indicated by a double-click in the file browser.
fileBrowserWindow w
Sets up the file browser window.
loadImage filename img_num
Loads the selected file into a photo image for display.
relativePath cdir path
Derives the relative path from an absolute one relative to a given directory.
getInfo filename
Loads the information for the current image file into a text window for display.
writePostScript
Writes the current canvas to a postscript file.

Detailed Description

Procedures to manage file I/O.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20191112

Definition in file bshow_file.tcl.

Function Documentation

  fileBrowserWindoww

Sets up the file browser window.

Parameters:
    w Window name.

Definition at line 204 of file bshow_file.tcl.

  fileDialogoperation

Selects a file for reading or writing using a standard dialog.

Parameters:
    operation 'open', 'save' or 'saveAs'.

Definition at line 67 of file bshow_file.tcl.

  getInfofilename

Loads the information for the current image file into a text window for display.

Parameters:
    filename Image file name.

Definition at line 391 of file bshow_file.tcl.

  loadImagefilename img_num

Loads the selected file into a photo image for display.

Parameters:
    filename Image file name.
    img_num Sub-image number.

Definition at line 263 of file bshow_file.tcl.

  openFileFromTreewtree

Opens a file indicated by a double-click in the file browser.

Parameters:
    wtree File browser tree.

Definition at line 176 of file bshow_file.tcl.

  openNodetree node

Populates a file browser tree node.

Parameters:
    tree File browser tree.
    node File browser node.

Definition at line 109 of file bshow_file.tcl.

  relativePathcdir path

Derives the relative path from an absolute one relative to a given directory.

Parameters:
    cdir Current directory.
    path Absolute path to convert.

Definition at line 361 of file bshow_file.tcl.

  setupFileBrowserw

Points the file browser to the current directory.

Parameters:
    w File browser tree.

Definition at line 157 of file bshow_file.tcl.

  setupFileMenu

Menu for opening and closing image files and quiting.

Definition at line 16 of file bshow_file.tcl.

  writePostScript

Writes the current canvas to a postscript file.

Definition at line 436 of file bshow_file.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.